/*-----------------------------------------------------------------------------
    Name: Flow
    Generated By: This is an auto generated script. You can, however, make a copy of this script using advanced script manager and enhance it.
    Date of generation: 03/25/2021 01:38:34
    Flow details:
    Build details: 4.6.0 (build# 34)
    Modification History:
-----------------------------------------------------------------------------*/

package com.cavisson.scripts.Scenario_032521132750_HPDCopyWithCookieandHeader;
import pacJnvmApi.NSApi;



public class Flow implements NsFlow
{
    public int execute(NSApi nsApi) throws Exception
    {
        int status = 0;

        nsApi.ns_start_transaction("Home");
        nsApi.ns_web_url ("Home",
        "URL=http://10.10.30.7:81/tours/index.html",
        "METHOD=GET",
        "HEADER=Accept:text/html,application/xhtml+xml,application/xml",
        "HEADER=Upgrade-Insecure-Requests:1",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Connection:Keep-alive",
        "HEADER=Accept-Encoding: gzip, deflate",
        "HEADER=Accept-Language:en-us",
        "HEADER=Set_Cookie:abc"
        );
        nsApi.ns_end_transaction("Home", NS_AUTO_STATUS);

        nsApi.ns_start_transaction("Login");
        nsApi.ns_web_url ("Login",
        "URL=http://10.10.30.7:81/cgi-bin/login?userSession=75893.0884568651DQADHfApHDHfcDtccpfAttcf&username={Uname}&password={Upass}&login.x=59&login.y=18&JSFormSubmit=off",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=Upgrade-Insecure-Requests: 1",
        "HEADER=User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9",
        "HEADER=Set_Cookie:abc"
        );
        nsApi.ns_end_transaction("Login", NS_AUTO_STATUS);

        nsApi.ns_start_transaction("Reservation");
        nsApi.ns_web_url ("Reservation",
        "URL=http://10.10.30.7:81/cgi-bin/reservation",
        "METHOD=GET",
        "HEADER=Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9",
        "HEADER=Upgrade-Insecure-Requests: 1",
        "HEADER=User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36",
        "HEADER=Connection: keep-alive",
        "HEADER=Referer: http://10.10.30.7:81/cgi-bin/login?userSession=75893.0884568651DQADHfApHDHfcDtccpfAttcf&username=&password=&login.x=59&login.y=18&JSFormSubmit=off",
        "HEADER=Accept-Encoding: gzip, deflate",
        "HEADER=Accept-Language: en-US,en;q=0.9,hi;q=0.8",
        "HEADER=Set_Cookie:abc"
        );
        nsApi.ns_end_transaction("Reservation", NS_AUTO_STATUS);

        nsApi.ns_start_transaction("FindFlight");
        nsApi.ns_web_url ("FindFlight",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?depart=Acapulco&departDate=03-24-2020&arrive=Acapulco&returnDate=03-25-2020&numPassengers=1&seatPref=None&seatType=Coach&findFlights.x=56&findFlights.y=20",
        "METHOD=GET",
        "HEADER=Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9",
        "HEADER=Upgrade-Insecure-Requests: 1",
        "HEADER=User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36",
        "HEADER=Connection: keep-alive",
        "HEADER=Referer: http://10.10.30.7:81/cgi-bin/reservation",
        "HEADER=Accept-Encoding: gzip, deflate",
        "HEADER=Accept-Language: en-US,en;q=0.9,hi;q=0.8",
        "HEADER=Set_Cookie:abc"
        );
        nsApi.ns_end_transaction("FindFlight", NS_AUTO_STATUS);

        nsApi.ns_start_transaction("Flight_Confimration");
        nsApi.ns_web_url ("Flight_Confimration",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?outboundFlight=button0&hidden_outboundFlight_button0=000%7C0%7C03-24-2020&hidden_outboundFlight_button1=001%7C0%7C03-24-2020&hidden_outboundFlight_button2=002%7C0%7C03-24-2020&hidden_outboundFlight_button3=003%7C0%7C03-24-2020&numPassengers=1&advanceDiscount=&seatType=Coach&seatPref=None&reserveFlights.x=85&reserveFlights.y=4",
        "METHOD=GET",
        "HEADER=Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9",
        "HEADER=Upgrade-Insecure-Requests: 1",
        "HEADER=User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36",
        "HEADER=Connection: keep-alive",
        "HEADER=Referer: http://10.10.30.7:81/cgi-bin/findflight?depart=Acapulco&departDate=03-24-2020&arrive=Acapulco&returnDate=03-25-2020&numPassengers=1&seatPref=None&seatType=Coach&findFlights.x=56&findFlights.y=20",
        "HEADER=Accept-Encoding: gzip, deflate",
        "HEADER=Accept-Language: en-US,en;q=0.9,hi;q=0.8",
        "HEADER=Set_Cookie:abc"
        );
        nsApi.ns_end_transaction("Flight_Confimration", NS_AUTO_STATUS);

        nsApi.ns_start_transaction("Payment_Confirmation");
        nsApi.ns_web_url ("Payment_Confirmation",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?firstName=Tiger&lastName=Scott&address1=4261+Stevenson+Blvd.&address2=Fremont%2C+CA+94538&pass1=Scott+Tiger&creditCard=&expDate=&oldCCOption=&numPassengers=1&seatType=Coach&seatPref=None&outboundFlight=000%7C0%7C03-24-2020&advanceDiscount=&buyFlights.x=81&buyFlights.y=1&.cgifields=saveCC",
        "METHOD=GET",
        "HEADER=Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9",
        "HEADER=Upgrade-Insecure-Requests: 1",
        "HEADER=User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36",
        "HEADER=Connection: keep-alive",
        "HEADER=Referer: http://10.10.30.7:81/cgi-bin/findflight?outboundFlight=button0&hidden_outboundFlight_button0=000%7C0%7C03-24-2020&hidden_outboundFlight_button1=001%7C0%7C03-24-2020&hidden_outboundFlight_button2=002%7C0%7C03-24-2020&hidden_outboundFlight_button3=003%7C0%7C03-24-2020&numPassengers=1&advanceDiscount=&seatType=Coach&seatPref=None&reserveFlights.x=85&reserveFlights.y=4",
        "HEADER=Accept-Encoding: gzip, deflate",
        "HEADER=Accept-Language: en-US,en;q=0.9,hi;q=0.8",
        "HEADER=Set_Cookie:abc"
        );
        nsApi.ns_end_transaction("Payment_Confirmation", NS_AUTO_STATUS);

        nsApi.ns_start_transaction("Logout");
        nsApi.ns_web_url ("Logout",
        "URL=http://10.10.30.7:81/cgi-bin/welcome",
        "METHOD=GET",
        "HEADER=Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9",
        "HEADER=Upgrade-Insecure-Requests: 1",
        "HEADER=User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36",
        "HEADER=Connection: keep-alive",
        "HEADER=Referer: http://10.10.30.7:81/cgi-bin/findflight?firstName=Tiger&lastName=Scott&address1=4261+Stevenson+Blvd.&address2=Fremont%2C+CA+94538&pass1=Scott+Tiger&creditCard=&expDate=&oldCCOption=&numPassengers=1&seatType=Coach&seatPref=None&outboundFlight=000%7C0%7C03-24-2020&advanceDiscount=&buyFlights.x=81&buyFlights.y=1&.cgifields=saveCC",
        "HEADER=Accept-Encoding: gzip, deflate",
        "HEADER=Accept-Language: en-US,en;q=0.9,hi;q=0.8",
        "HEADER=Set_Cookie:abc"
        );
        nsApi.ns_end_transaction("Logout", NS_AUTO_STATUS);

        return status;
    }
}
